UNTEX(1)

NAME
untex - strip LaTeX comands from input

SYNOPSIS
untex [ options ] [ files ... ]

DESCRIPTION
Untex removes some LaTeX commands from the files listed in the arguments (or standard input) and prints the output to standard output.

OPTIONS

-   read from standard input.

-o  remove options to LaTeX commands, i. e. everything in brackets [] behind a command.

-i  process "\include{file}" and "\input{file}" and "\input file" commands.

-m  (try to) remove all math code.

-u  replace all \"a (etc.) with ibm (CP850) characters.

-uiso
    replace all \"a (etc.) with ISO characters.

-uascii
    replace all \"a (etc.) with ascii characters.

-g  replace all "a (etc., from german.sty) with ibm (CP850) characters.

-giso
    replace all "a (etc., from german.sty) with ISO characters.

-gascii
    replace all "a (etc., from german.sty) with ascii characters.

-e  remove environment names.

-a  remove arguments of commands (not recommended).

-g implies -u, -a implies -o.

SEE ALSO
latex, tex, detex

BUGS
The -g and -u options only work for german accented characters. Not fixed due to lack of time, any help is appreciated. The \includeonly command is ignored.

Using -u option in a UTF-8 terminal doesn't work. Using it alone in a Latin1 terminal doesn't work either, you must also add -uiso.

AUTHORS
Untex was written by Michael Staats (michael@hal6000.thp.Uni-Duisburg.DE). The -gascii and -uascii options were added by Denis Endisch (denis@smoky.ikf.physik.uni-frankfurt.de). Thanks to Subhasish Mazumdar (mazumdar@ringer.cs.utsa.edu) for some hints for improvements and bug reports.